#include <stdio.h>
#include <stdlib.h>
#include "header.h"

int main(){
  double **K, *F, *sol;
  int i,j;
  int NUM = 3;
  K = (double**)malloc(sizeof(double*)*NUM);  
  for(i=0;i<NUM;i++){
    K[i] = (double*)malloc(sizeof(double)*NUM);    
  }
  F = (double*)malloc(sizeof(double)*NUM);  
  sol = (double*)malloc(sizeof(double)*NUM);

  K[0][0] = 1.0; K[0][1] = 2.0; K[0][2] = 2.0;
  K[1][0] = 0.0; K[1][1] = 3.0; K[1][2] = 5.0;  
  K[2][0] = -4.0; K[2][1] = -6.0; K[2][2] = 4.0;
  F[0] = 2.0;
  F[1] = 3.0;
  F[2] = 4.0;

  use_lapack(sol, NUM, K, F);

  for(i=0;i<NUM;i++){
    printf("%e\n",sol[i]);
  }
  
  return 0;
}
